"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function createUtils(opts) {
    var defaultColor = opts.defaultColor, data = opts.data, type = opts.type;
    return {
        currentColor: function (value) {
            if (value.selection && value.selection.isFocused && value.activeMarks) {
                var activeColorMarks = value.activeMarks
                    .filter(function (mark) { return mark.type === type; })
                    .map(function (mark) { return mark.data.get(data); });
                var uniqueColorMarks = Array.from(new Set(activeColorMarks)).slice();
                if (uniqueColorMarks.length !== 0) {
                    return uniqueColorMarks[0];
                }
            }
            return defaultColor;
        }
    };
}
exports.default = createUtils;
//# sourceMappingURL=index.js.map